Package com.ocient.jdbc.proto

# Class ClientWireProtocol.SystemWideQueriesResponse.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SystemWideQueriesResponse.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.SystemWideQueriesResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.SystemWideQueriesResponseOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.SystemWideQueriesResponse

    public static final class ClientWireProtocol.SystemWideQueriesResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SystemWideQueriesResponse.Builder>
    implements ClientWireProtocol.SystemWideQueriesResponseOrBuilder

Protobuf type `xg.cmdcomp.SystemWideQueriesResponse`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `addAllRows​(Iterable<? extends ClientWireProtocol.SysQueriesRow> values)` | `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `addRows​(int index, ClientWireProtocol.SysQueriesRow value)` | `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `addRows​(int index, ClientWireProtocol.SysQueriesRow.Builder builderForValue)` | `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `addRows​(ClientWireProtocol.SysQueriesRow value)` | `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `addRows​(ClientWireProtocol.SysQueriesRow.Builder builderForValue)` | `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`ClientWireProtocol.SysQueriesRow.Builder` | `addRowsBuilder()` | `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`ClientWireProtocol.SysQueriesRow.Builder` | `addRowsBuilder​(int index)` | `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`ClientWireProtocol.SystemWideQueriesResponse` | `build()` |
`ClientWireProtocol.SystemWideQueriesResponse` | `buildPartial()` |
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `clear()` |
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `clearResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `clearRows()` | `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `clone()` |
`ClientWireProtocol.SystemWideQueriesResponse` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`ClientWireProtocol.ConfirmationResponse` | `getResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponse.Builder` | `getResponseBuilder()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder` | `getResponseOrBuilder()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.SysQueriesRow` | `getRows​(int index)` | `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`ClientWireProtocol.SysQueriesRow.Builder` | `getRowsBuilder​(int index)` | `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`List<ClientWireProtocol.SysQueriesRow.Builder>` | `getRowsBuilderList()` | `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`int` | `getRowsCount()` | `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`List<ClientWireProtocol.SysQueriesRow>` | `getRowsList()` | `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`ClientWireProtocol.SysQueriesRowOrBuilder` | `getRowsOrBuilder​(int index)` | `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`List<? extends ClientWireProtocol.SysQueriesRowOrBuilder>` | `getRowsOrBuilderList()` | `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`boolean` | `hasResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `mergeFrom​(ClientWireProtocol.SystemWideQueriesResponse other)` |
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `mergeResponse​(ClientWireProtocol.ConfirmationResponse value)` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `removeRows​(int index)` | `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `setResponse​(ClientWireProtocol.ConfirmationResponse value)` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `setResponse​(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `setRows​(int index, ClientWireProtocol.SysQueriesRow value)` | `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `setRows​(int index, ClientWireProtocol.SysQueriesRow.Builder builderForValue)` | `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`ClientWireProtocol.SystemWideQueriesResponse.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SystemWideQueriesResponse.Builder>`

### clear

public ClientWireProtocol.SystemWideQueriesResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SystemWideQueriesResponse.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SystemWideQueriesResponse.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.SystemWideQueriesResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.SystemWideQueriesResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.SystemWideQueriesResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public ClientWireProtocol.SystemWideQueriesResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SystemWideQueriesResponse.Builder>`

### setField

public ClientWireProtocol.SystemWideQueriesResponse.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SystemWideQueriesResponse.Builder>`

### clearField

public ClientWireProtocol.SystemWideQueriesResponse.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SystemWideQueriesResponse.Builder>`

### clearOneof

public ClientWireProtocol.SystemWideQueriesResponse.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SystemWideQueriesResponse.Builder>`

### setRepeatedField

public ClientWireProtocol.SystemWideQueriesResponse.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SystemWideQueriesResponse.Builder>`

### addRepeatedField

public ClientWireProtocol.SystemWideQueriesResponse.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SystemWideQueriesResponse.Builder>`

### mergeFrom

public ClientWireProtocol.SystemWideQueriesResponse.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SystemWideQueriesResponse.Builder>`

### mergeFrom

public ClientWireProtocol.SystemWideQueriesResponse.Builder mergeFrom​(ClientWireProtocol.SystemWideQueriesResponse other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SystemWideQueriesResponse.Builder>`

### mergeFrom

public ClientWireProtocol.SystemWideQueriesResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SystemWideQueriesResponse.Builder>`
Throws:
  `IOException`

### hasResponse

public boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `hasResponse` in interface `ClientWireProtocol.SystemWideQueriesResponseOrBuilder`
Returns:
  Whether the response field is set.

### getResponse

public ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponse` in interface `ClientWireProtocol.SystemWideQueriesResponseOrBuilder`
Returns:
  The response.

### setResponse

public ClientWireProtocol.SystemWideQueriesResponse.Builder setResponse​(ClientWireProtocol.ConfirmationResponse value)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### setResponse

public ClientWireProtocol.SystemWideQueriesResponse.Builder setResponse​(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### mergeResponse

public ClientWireProtocol.SystemWideQueriesResponse.Builder mergeResponse​(ClientWireProtocol.ConfirmationResponse value)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### clearResponse

public ClientWireProtocol.SystemWideQueriesResponse.Builder clearResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseBuilder

public ClientWireProtocol.ConfirmationResponse.Builder getResponseBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseOrBuilder

public ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponseOrBuilder` in interface `ClientWireProtocol.SystemWideQueriesResponseOrBuilder`

### getRowsList

public List<ClientWireProtocol.SysQueriesRow> getRowsList()
`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

Specified by:
  `getRowsList` in interface `ClientWireProtocol.SystemWideQueriesResponseOrBuilder`

### getRowsCount

public int getRowsCount()
`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

Specified by:
  `getRowsCount` in interface `ClientWireProtocol.SystemWideQueriesResponseOrBuilder`

### getRows

public ClientWireProtocol.SysQueriesRow getRows​(int index)
`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

Specified by:
  `getRows` in interface `ClientWireProtocol.SystemWideQueriesResponseOrBuilder`

### setRows

public ClientWireProtocol.SystemWideQueriesResponse.Builder setRows​(int index, ClientWireProtocol.SysQueriesRow value)
`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

### setRows

public ClientWireProtocol.SystemWideQueriesResponse.Builder setRows​(int index, ClientWireProtocol.SysQueriesRow.Builder builderForValue)
`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

### addRows

public ClientWireProtocol.SystemWideQueriesResponse.Builder addRows​(ClientWireProtocol.SysQueriesRow value)
`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

### addRows

public ClientWireProtocol.SystemWideQueriesResponse.Builder addRows​(int index, ClientWireProtocol.SysQueriesRow value)
`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

### addRows

public ClientWireProtocol.SystemWideQueriesResponse.Builder addRows​(ClientWireProtocol.SysQueriesRow.Builder builderForValue)
`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

### addRows

public ClientWireProtocol.SystemWideQueriesResponse.Builder addRows​(int index, ClientWireProtocol.SysQueriesRow.Builder builderForValue)
`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

### addAllRows

public ClientWireProtocol.SystemWideQueriesResponse.Builder addAllRows​(Iterable<? extends ClientWireProtocol.SysQueriesRow> values)
`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

### clearRows

public ClientWireProtocol.SystemWideQueriesResponse.Builder clearRows()
`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

### removeRows

public ClientWireProtocol.SystemWideQueriesResponse.Builder removeRows​(int index)
`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

### getRowsBuilder

public ClientWireProtocol.SysQueriesRow.Builder getRowsBuilder​(int index)
`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

### getRowsOrBuilder

public ClientWireProtocol.SysQueriesRowOrBuilder getRowsOrBuilder​(int index)
`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

Specified by:
  `getRowsOrBuilder` in interface `ClientWireProtocol.SystemWideQueriesResponseOrBuilder`

### getRowsOrBuilderList

public List<? extends ClientWireProtocol.SysQueriesRowOrBuilder> getRowsOrBuilderList()
`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

Specified by:
  `getRowsOrBuilderList` in interface `ClientWireProtocol.SystemWideQueriesResponseOrBuilder`

### addRowsBuilder

public ClientWireProtocol.SysQueriesRow.Builder addRowsBuilder()
`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

### addRowsBuilder

public ClientWireProtocol.SysQueriesRow.Builder addRowsBuilder​(int index)
`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

### getRowsBuilderList

public List<ClientWireProtocol.SysQueriesRow.Builder> getRowsBuilderList()
`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

### setUnknownFields

public final ClientWireProtocol.SystemWideQueriesResponse.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SystemWideQueriesResponse.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.SystemWideQueriesResponse.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SystemWideQueriesResponse.Builder>`